# See https://fedoraproject.org/wiki/Packaging:Node.js?rd=Node.js/Packagers for
# the nodejs-specific packaging guidelines.

%global npm_name historic-readline

# See https://fedoraproject.org/wiki/Packaging:Node.js?rd=Node.js/Packagers#Automatic_Requires_and_Provides
# (required for EPEL compatibility)
%{?nodejs_find_provides_and_requires}

Name:		nodejs-historic-readline
Version:	1.0.8
Release:	5%{?dist}
Summary:	A JavaScript library extending the node readline module to save history to file 

License:	MIT
URL:		https://github.com/Centiq/historic-readline
Source0:	http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz

BuildArch:	noarch
ExclusiveArch:	%{nodejs_arches} noarch
BuildRequires:	nodejs-packaging
# Required in the check section
BuildRequires:	nodejs-fs-extra

%description
%{summary}.

%prep
%setup -q -n package
%nodejs_fixdep fs-extra '>0.24'

%build
# Nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr package.json rl.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'

%files
%doc README.md
%{nodejs_sitelib}/%{npm_name}

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sun Jan 28 2018 Timothée Floure <fnux@fedoraproject.org> - 1.0.8-3
- Automatic Requires and Provices: add compatibility with EPFL
- Symlink dependencies in the install section

* Thu Jan 18 2018 Timothée Floure <fnux@fedoraproject.org> - 1.0.8-2
- Remove the deprecated 'group' tag
- Add a check section to comply with packaging guideline

* Mon Jun 26 2017 Timothée Floure <fnux@fnux.ch> - 1.0.8-1
- Let there be package
